Index: lemon/connectivity.h
===================================================================
--- lemon/connectivity.h	(revision 463)
+++ lemon/connectivity.h	(revision 606)
@@ -47,5 +47,5 @@
   /// Check whether the given undirected graph is connected.
   /// \param graph The undirected graph.
-  /// \return %True when there is path between any two nodes in the graph.
+  /// \return \c true when there is path between any two nodes in the graph.
   /// \note By definition, the empty graph is connected.
   template <typename Graph>
@@ -235,5 +235,5 @@
   /// graph is strongly connected when any two nodes of the graph are
   /// connected with directed paths in both direction.
-  /// \return %False when the graph is not strongly connected.
+  /// \return \c false when the graph is not strongly connected.
   /// \see connected
   ///
@@ -710,5 +710,5 @@
   ///
   /// \param graph The graph.
-  /// \return %True when the graph bi-node-connected.
+  /// \return \c true when the graph bi-node-connected.
   template <typename Graph>
   bool biNodeConnected(const Graph& graph) {
@@ -1231,5 +1231,5 @@
   /// of the map will be set exactly once, the values will be set descending
   /// order.
-  /// \return %False when the graph is not DAG.
+  /// \return \c false when the graph is not DAG.
   ///
   /// \see topologicalSort
@@ -1280,5 +1280,5 @@
   /// Check that the given directed graph is a DAG. The DAG is
   /// an Directed Acyclic Digraph.
-  /// \return %False when the graph is not DAG.
+  /// \return \c false when the graph is not DAG.
   /// \see acyclic
   template <typename Digraph>
@@ -1322,5 +1322,5 @@
   /// Check that the given undirected graph acyclic.
   /// \param graph The undirected graph.
-  /// \return %True when there is no circle in the graph.
+  /// \return \c true when there is no circle in the graph.
   /// \see dag
   template <typename Graph>
@@ -1356,5 +1356,5 @@
   /// Check that the given undirected graph is tree.
   /// \param graph The undirected graph.
-  /// \return %True when the graph is acyclic and connected.
+  /// \return \c true when the graph is acyclic and connected.
   template <typename Graph>
   bool tree(const Graph& graph) {
@@ -1449,5 +1449,5 @@
   /// or not. The \ref Bfs algorithm is used to calculate the result.
   /// \param graph The undirected graph.
-  /// \return %True if \c graph is bipartite, %false otherwise.
+  /// \return \c true if \c graph is bipartite, \c false otherwise.
   /// \sa bipartitePartitions
   template<typename Graph>
@@ -1490,5 +1490,5 @@
   /// \retval partMap A writable bool map of nodes. It will be set as the
   /// two partitions of the graph.
-  /// \return %True if \c graph is bipartite, %false otherwise.
+  /// \return \c true if \c graph is bipartite, \c false otherwise.
   template<typename Graph, typename NodeMap>
   inline bool bipartitePartitions(const Graph &graph, NodeMap &partMap){
Index: lemon/core.h
===================================================================
--- lemon/core.h	(revision 582)
+++ lemon/core.h	(revision 606)
@@ -1035,9 +1035,9 @@
   ///\sa findArc()
   ///\sa ArcLookUp, AllArcLookUp, DynArcLookUp
-  template <typename _Graph>
-  class ConArcIt : public _Graph::Arc {
+  template <typename GR>
+  class ConArcIt : public GR::Arc {
   public:
 
-    typedef _Graph Graph;
+    typedef GR Graph;
     typedef typename Graph::Arc Parent;
 
@@ -1158,9 +1158,9 @@
   ///
   ///\sa findEdge()
-  template <typename _Graph>
-  class ConEdgeIt : public _Graph::Edge {
+  template <typename GR>
+  class ConEdgeIt : public GR::Edge {
   public:
 
-    typedef _Graph Graph;
+    typedef GR Graph;
     typedef typename Graph::Edge Parent;
 
@@ -1212,27 +1212,27 @@
   ///queries.
   ///
-  ///\tparam G The type of the underlying digraph.
+  ///\tparam GR The type of the underlying digraph.
   ///
   ///\sa ArcLookUp
   ///\sa AllArcLookUp
-  template<class G>
+  template <typename GR>
   class DynArcLookUp
-    : protected ItemSetTraits<G, typename G::Arc>::ItemNotifier::ObserverBase
+    : protected ItemSetTraits<GR, typename GR::Arc>::ItemNotifier::ObserverBase
   {
   public:
-    typedef typename ItemSetTraits<G, typename G::Arc>
+    typedef typename ItemSetTraits<GR, typename GR::Arc>
     ::ItemNotifier::ObserverBase Parent;
 
-    TEMPLATE_DIGRAPH_TYPEDEFS(G);
-    typedef G Digraph;
+    TEMPLATE_DIGRAPH_TYPEDEFS(GR);
+    typedef GR Digraph;
 
   protected:
 
-    class AutoNodeMap : public ItemSetTraits<G, Node>::template Map<Arc>::Type {
+    class AutoNodeMap : public ItemSetTraits<GR, Node>::template Map<Arc>::Type {
     public:
 
-      typedef typename ItemSetTraits<G, Node>::template Map<Arc>::Type Parent;
-
-      AutoNodeMap(const G& digraph) : Parent(digraph, INVALID) {}
+      typedef typename ItemSetTraits<GR, Node>::template Map<Arc>::Type Parent;
+
+      AutoNodeMap(const GR& digraph) : Parent(digraph, INVALID) {}
 
       virtual void add(const Node& node) {
@@ -1624,14 +1624,14 @@
   ///(<em>O</em>(<em>m</em> log<em>m</em>)) to the number of arcs).
   ///
-  ///\tparam G The type of the underlying digraph.
+  ///\tparam GR The type of the underlying digraph.
   ///
   ///\sa DynArcLookUp
   ///\sa AllArcLookUp
-  template<class G>
+  template<class GR>
   class ArcLookUp
   {
   public:
-    TEMPLATE_DIGRAPH_TYPEDEFS(G);
-    typedef G Digraph;
+    TEMPLATE_DIGRAPH_TYPEDEFS(GR);
+    typedef GR Digraph;
 
   protected:
@@ -1734,18 +1734,18 @@
   ///(<em>O</em>(<em>m</em> log<em>m</em>)) to the number of arcs).
   ///
-  ///\tparam G The type of the underlying digraph.
+  ///\tparam GR The type of the underlying digraph.
   ///
   ///\sa DynArcLookUp
   ///\sa ArcLookUp
-  template<class G>
-  class AllArcLookUp : public ArcLookUp<G>
+  template<class GR>
+  class AllArcLookUp : public ArcLookUp<GR>
   {
-    using ArcLookUp<G>::_g;
-    using ArcLookUp<G>::_right;
-    using ArcLookUp<G>::_left;
-    using ArcLookUp<G>::_head;
-
-    TEMPLATE_DIGRAPH_TYPEDEFS(G);
-    typedef G Digraph;
+    using ArcLookUp<GR>::_g;
+    using ArcLookUp<GR>::_right;
+    using ArcLookUp<GR>::_left;
+    using ArcLookUp<GR>::_head;
+
+    TEMPLATE_DIGRAPH_TYPEDEFS(GR);
+    typedef GR Digraph;
 
     typename Digraph::template ArcMap<Arc> _next;
@@ -1774,5 +1774,5 @@
     ///It builds up the search database, which remains valid until the digraph
     ///changes.
-    AllArcLookUp(const Digraph &g) : ArcLookUp<G>(g), _next(g) {refreshNext();}
+    AllArcLookUp(const Digraph &g) : ArcLookUp<GR>(g), _next(g) {refreshNext();}
 
     ///Refresh the data structure at a node.
@@ -1784,5 +1784,5 @@
     void refresh(Node n)
     {
-      ArcLookUp<G>::refresh(n);
+      ArcLookUp<GR>::refresh(n);
       refreshNext(_head[n]);
     }
@@ -1831,5 +1831,5 @@
     Arc operator()(Node s, Node t, Arc prev=INVALID) const {}
 #else
-    using ArcLookUp<G>::operator() ;
+    using ArcLookUp<GR>::operator() ;
     Arc operator()(Node s, Node t, Arc prev) const
     {
Index: lemon/dijkstra.h
===================================================================
--- lemon/dijkstra.h	(revision 525)
+++ lemon/dijkstra.h	(revision 606)
@@ -39,6 +39,8 @@
   /// This operation traits class defines all computational operations and
   /// constants which are used in the Dijkstra algorithm.
-  template <typename Value>
+  template <typename V>
   struct DijkstraDefaultOperationTraits {
+    /// \e
+    typedef V Value;
     /// \brief Gives back the zero value of the type.
     static Value zero() {
@@ -59,6 +61,6 @@
   ///Default traits class of Dijkstra class.
   ///\tparam GR The type of the digraph.
-  ///\tparam LM The type of the length map.
-  template<class GR, class LM>
+  ///\tparam LEN The type of the length map.
+  template<typename GR, typename LEN>
   struct DijkstraDefaultTraits
   {
@@ -70,7 +72,7 @@
     ///The type of the map that stores the arc lengths.
     ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
-    typedef LM LengthMap;
+    typedef LEN LengthMap;
     ///The type of the length of the arcs.
-    typedef typename LM::Value Value;
+    typedef typename LEN::Value Value;
 
     /// Operation traits for %Dijkstra algorithm.
@@ -101,5 +103,5 @@
     ///\sa BinHeap
     ///\sa Dijkstra
-    typedef BinHeap<typename LM::Value, HeapCrossRef, std::less<Value> > Heap;
+    typedef BinHeap<typename LEN::Value, HeapCrossRef, std::less<Value> > Heap;
     ///Instantiates a \c Heap.
 
@@ -151,5 +153,5 @@
     ///The type of the map that stores the distances of the nodes.
     ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
-    typedef typename Digraph::template NodeMap<typename LM::Value> DistMap;
+    typedef typename Digraph::template NodeMap<typename LEN::Value> DistMap;
     ///Instantiates a \c DistMap.
 
@@ -181,5 +183,5 @@
   ///\tparam GR The type of the digraph the algorithm runs on.
   ///The default type is \ref ListDigraph.
-  ///\tparam LM A \ref concepts::ReadMap "readable" arc map that specifies
+  ///\tparam LEN A \ref concepts::ReadMap "readable" arc map that specifies
   ///the lengths of the arcs.
   ///It is read once for each arc, so the map may involve in
@@ -188,9 +190,9 @@
   ///concepts::Digraph::ArcMap "GR::ArcMap<int>".
 #ifdef DOXYGEN
-  template <typename GR, typename LM, typename TR>
+  template <typename GR, typename LEN, typename TR>
 #else
   template <typename GR=ListDigraph,
-            typename LM=typename GR::template ArcMap<int>,
-            typename TR=DijkstraDefaultTraits<GR,LM> >
+            typename LEN=typename GR::template ArcMap<int>,
+            typename TR=DijkstraDefaultTraits<GR,LEN> >
 #endif
   class Dijkstra {
@@ -914,6 +916,6 @@
   ///Default traits class of dijkstra() function.
   ///\tparam GR The type of the digraph.
-  ///\tparam LM The type of the length map.
-  template<class GR, class LM>
+  ///\tparam LEN The type of the length map.
+  template<class GR, class LEN>
   struct DijkstraWizardDefaultTraits
   {
@@ -924,7 +926,7 @@
     ///The type of the map that stores the arc lengths.
     ///It must meet the \ref concepts::ReadMap "ReadMap" concept.
-    typedef LM LengthMap;
+    typedef LEN LengthMap;
     ///The type of the length of the arcs.
-    typedef typename LM::Value Value;
+    typedef typename LEN::Value Value;
 
     /// Operation traits for Dijkstra algorithm.
@@ -1008,5 +1010,5 @@
     ///The type of the map that stores the distances of the nodes.
     ///It must meet the \ref concepts::WriteMap "WriteMap" concept.
-    typedef typename Digraph::template NodeMap<typename LM::Value> DistMap;
+    typedef typename Digraph::template NodeMap<typename LEN::Value> DistMap;
     ///Instantiates a DistMap.
 
@@ -1034,8 +1036,8 @@
   /// The \ref DijkstraWizardBase is a class to be the default traits of the
   /// \ref DijkstraWizard class.
-  template<class GR,class LM>
-  class DijkstraWizardBase : public DijkstraWizardDefaultTraits<GR,LM>
+  template<typename GR, typename LEN>
+  class DijkstraWizardBase : public DijkstraWizardDefaultTraits<GR,LEN>
   {
-    typedef DijkstraWizardDefaultTraits<GR,LM> Base;
+    typedef DijkstraWizardDefaultTraits<GR,LEN> Base;
   protected:
     //The type of the nodes in the digraph.
@@ -1071,7 +1073,7 @@
     /// \param g The digraph the algorithm runs on.
     /// \param l The length map.
-    DijkstraWizardBase(const GR &g,const LM &l) :
+    DijkstraWizardBase(const GR &g,const LEN &l) :
       _g(reinterpret_cast<void*>(const_cast<GR*>(&g))),
-      _length(reinterpret_cast<void*>(const_cast<LM*>(&l))),
+      _length(reinterpret_cast<void*>(const_cast<LEN*>(&l))),
       _processed(0), _pred(0), _dist(0), _path(0), _di(0) {}
 
@@ -1282,9 +1284,9 @@
   ///\sa DijkstraWizard
   ///\sa Dijkstra
-  template<class GR, class LM>
-  DijkstraWizard<DijkstraWizardBase<GR,LM> >
-  dijkstra(const GR &digraph, const LM &length)
+  template<typename GR, typename LEN>
+  DijkstraWizard<DijkstraWizardBase<GR,LEN> >
+  dijkstra(const GR &digraph, const LEN &length)
   {
-    return DijkstraWizard<DijkstraWizardBase<GR,LM> >(digraph,length);
+    return DijkstraWizard<DijkstraWizardBase<GR,LEN> >(digraph,length);
   }
 
Index: lemon/edge_set.h
===================================================================
--- lemon/edge_set.h	(revision 559)
+++ lemon/edge_set.h	(revision 606)
@@ -256,5 +256,5 @@
   /// concept.
   ///
-  /// This class is fully conform to the \ref concepts::Digraph
+  /// This class fully conforms to the \ref concepts::Digraph
   /// "Digraph" concept.
   template <typename GR>
@@ -337,5 +337,5 @@
     /// Add a new arc to the digraph with source node \c s
     /// and target node \c t.
-    /// \return the new arc.
+    /// \return The new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -685,5 +685,5 @@
   /// concept.
   ///
-  /// This class is fully conform to the \ref concepts::Graph "Graph"
+  /// This class fully conforms to the \ref concepts::Graph "Graph"
   /// concept.
   template <typename GR>
@@ -762,5 +762,5 @@
     /// Add a new edge to the graph with node \c u
     /// and node \c v endpoints.
-    /// \return the new edge.
+    /// \return The new edge.
     Edge addEdge(const Node& u, const Node& v) {
       return Parent::addEdge(u, v);
@@ -953,5 +953,5 @@
   /// validity can be checked with the \c valid() member function.
   ///
-  /// This class is fully conform to the \ref concepts::Digraph
+  /// This class fully conforms to the \ref concepts::Digraph
   /// "Digraph" concept.
   template <typename GR>
@@ -1042,5 +1042,5 @@
     /// Add a new arc to the digraph with source node \c s
     /// and target node \c t.
-    /// \return the new arc.
+    /// \return The new arc.
     Arc addArc(const Node& s, const Node& t) {
       return Parent::addArc(s, t);
@@ -1301,5 +1301,5 @@
   /// be checked with the \c valid() member function.
   ///
-  /// This class is fully conform to the \ref concepts::Graph
+  /// This class fully conforms to the \ref concepts::Graph
   /// "Graph" concept.
   template <typename GR>
@@ -1390,5 +1390,5 @@
     /// Add a new edge to the graph with node \c u
     /// and node \c v endpoints.
-    /// \return the new edge.
+    /// \return The new edge.
     Edge addEdge(const Node& u, const Node& v) {
       return Parent::addEdge(u, v);
Index: lemon/elevator.h
===================================================================
--- lemon/elevator.h	(revision 566)
+++ lemon/elevator.h	(revision 606)
@@ -47,8 +47,8 @@
   ///\sa LinkedElevator
   ///
-  ///\param Graph Type of the underlying graph.
-  ///\param Item Type of the items the data is assigned to (Graph::Node,
-  ///Graph::Arc, Graph::Edge).
-  template<class Graph, class Item>
+  ///\param GR Type of the underlying graph.
+  ///\param Item Type of the items the data is assigned to (\c GR::Node,
+  ///\c GR::Arc or \c GR::Edge).
+  template<class GR, class Item>
   class Elevator
   {
@@ -61,8 +61,8 @@
 
     typedef Item *Vit;
-    typedef typename ItemSetTraits<Graph,Item>::template Map<Vit>::Type VitMap;
-    typedef typename ItemSetTraits<Graph,Item>::template Map<int>::Type IntMap;
-
-    const Graph &_g;
+    typedef typename ItemSetTraits<GR,Item>::template Map<Vit>::Type VitMap;
+    typedef typename ItemSetTraits<GR,Item>::template Map<int>::Type IntMap;
+
+    const GR &_g;
     int _max_level;
     int _item_num;
@@ -106,5 +106,5 @@
     ///\param max_level The maximum allowed level.
     ///Set the range of the possible labels to <tt>[0..max_level]</tt>.
-    Elevator(const Graph &graph,int max_level) :
+    Elevator(const GR &graph,int max_level) :
       _g(graph),
       _max_level(max_level),
@@ -123,7 +123,7 @@
     ///Set the range of the possible labels to <tt>[0..max_level]</tt>,
     ///where \c max_level is equal to the number of labeled items in the graph.
-    Elevator(const Graph &graph) :
+    Elevator(const GR &graph) :
       _g(graph),
-      _max_level(countItems<Graph, Item>(graph)),
+      _max_level(countItems<GR, Item>(graph)),
       _item_num(_max_level),
       _where(graph),
@@ -431,5 +431,5 @@
       _last_active[0]=&_items[0]-1;
       Vit n=&_items[0];
-      for(typename ItemSetTraits<Graph,Item>::ItemIt i(_g);i!=INVALID;++i)
+      for(typename ItemSetTraits<GR,Item>::ItemIt i(_g);i!=INVALID;++i)
         {
           *n=i;
@@ -490,8 +490,8 @@
   ///\sa Elevator
   ///
-  ///\param Graph Type of the underlying graph.
-  ///\param Item Type of the items the data is assigned to (Graph::Node,
-  ///Graph::Arc, Graph::Edge).
-  template <class Graph, class Item>
+  ///\param GR Type of the underlying graph.
+  ///\param Item Type of the items the data is assigned to (\c GR::Node,
+  ///\c GR::Arc or \c GR::Edge).
+  template <class GR, class Item>
   class LinkedElevator {
   public:
@@ -502,12 +502,12 @@
   private:
 
-    typedef typename ItemSetTraits<Graph,Item>::
+    typedef typename ItemSetTraits<GR,Item>::
     template Map<Item>::Type ItemMap;
-    typedef typename ItemSetTraits<Graph,Item>::
+    typedef typename ItemSetTraits<GR,Item>::
     template Map<int>::Type IntMap;
-    typedef typename ItemSetTraits<Graph,Item>::
+    typedef typename ItemSetTraits<GR,Item>::
     template Map<bool>::Type BoolMap;
 
-    const Graph &_graph;
+    const GR &_graph;
     int _max_level;
     int _item_num;
@@ -526,5 +526,5 @@
     ///\param max_level The maximum allowed level.
     ///Set the range of the possible labels to <tt>[0..max_level]</tt>.
-    LinkedElevator(const Graph& graph, int max_level)
+    LinkedElevator(const GR& graph, int max_level)
       : _graph(graph), _max_level(max_level), _item_num(_max_level),
         _first(_max_level + 1), _last(_max_level + 1),
@@ -539,6 +539,6 @@
     ///Set the range of the possible labels to <tt>[0..max_level]</tt>,
     ///where \c max_level is equal to the number of labeled items in the graph.
-    LinkedElevator(const Graph& graph)
-      : _graph(graph), _max_level(countItems<Graph, Item>(graph)),
+    LinkedElevator(const GR& graph)
+      : _graph(graph), _max_level(countItems<GR, Item>(graph)),
         _item_num(_max_level),
         _first(_max_level + 1), _last(_max_level + 1),
@@ -936,5 +936,5 @@
       }
       _init_level = 0;
-      for(typename ItemSetTraits<Graph,Item>::ItemIt i(_graph);
+      for(typename ItemSetTraits<GR,Item>::ItemIt i(_graph);
           i != INVALID; ++i) {
         _level.set(i, _max_level);
Index: lemon/euler.h
===================================================================
--- lemon/euler.h	(revision 569)
+++ lemon/euler.h	(revision 606)
@@ -55,16 +55,16 @@
   ///If \c g is not Euler then the resulted tour will not be full or closed.
   ///\sa EulerIt
-  template<class Digraph>
+  template<typename GR>
   class DiEulerIt
   {
-    typedef typename Digraph::Node Node;
-    typedef typename Digraph::NodeIt NodeIt;
-    typedef typename Digraph::Arc Arc;
-    typedef typename Digraph::ArcIt ArcIt;
-    typedef typename Digraph::OutArcIt OutArcIt;
-    typedef typename Digraph::InArcIt InArcIt;
-
-    const Digraph &g;
-    typename Digraph::template NodeMap<OutArcIt> nedge;
+    typedef typename GR::Node Node;
+    typedef typename GR::NodeIt NodeIt;
+    typedef typename GR::Arc Arc;
+    typedef typename GR::ArcIt ArcIt;
+    typedef typename GR::OutArcIt OutArcIt;
+    typedef typename GR::InArcIt InArcIt;
+
+    const GR &g;
+    typename GR::template NodeMap<OutArcIt> nedge;
     std::list<Arc> euler;
 
@@ -73,9 +73,9 @@
     ///Constructor
 
-    ///\param _g A digraph.
+    ///\param gr A digraph.
     ///\param start The starting point of the tour. If it is not given
     ///       the tour will start from the first node.
-    DiEulerIt(const Digraph &_g,typename Digraph::Node start=INVALID)
-      : g(_g), nedge(g)
+    DiEulerIt(const GR &gr, typename GR::Node start = INVALID)
+      : g(gr), nedge(g)
     {
       if(start==INVALID) start=NodeIt(g);
@@ -146,18 +146,18 @@
   ///If \c g is not Euler then the resulted tour will not be full or closed.
   ///\sa EulerIt
-  template<class Digraph>
+  template<typename GR>
   class EulerIt
   {
-    typedef typename Digraph::Node Node;
-    typedef typename Digraph::NodeIt NodeIt;
-    typedef typename Digraph::Arc Arc;
-    typedef typename Digraph::Edge Edge;
-    typedef typename Digraph::ArcIt ArcIt;
-    typedef typename Digraph::OutArcIt OutArcIt;
-    typedef typename Digraph::InArcIt InArcIt;
-
-    const Digraph &g;
-    typename Digraph::template NodeMap<OutArcIt> nedge;
-    typename Digraph::template EdgeMap<bool> visited;
+    typedef typename GR::Node Node;
+    typedef typename GR::NodeIt NodeIt;
+    typedef typename GR::Arc Arc;
+    typedef typename GR::Edge Edge;
+    typedef typename GR::ArcIt ArcIt;
+    typedef typename GR::OutArcIt OutArcIt;
+    typedef typename GR::InArcIt InArcIt;
+
+    const GR &g;
+    typename GR::template NodeMap<OutArcIt> nedge;
+    typename GR::template EdgeMap<bool> visited;
     std::list<Arc> euler;
 
@@ -166,9 +166,9 @@
     ///Constructor
 
-    ///\param _g An graph.
+    ///\param gr An graph.
     ///\param start The starting point of the tour. If it is not given
     ///       the tour will start from the first node.
-    EulerIt(const Digraph &_g,typename Digraph::Node start=INVALID)
-      : g(_g), nedge(g), visited(g,false)
+    EulerIt(const GR &gr, typename GR::Node start = INVALID)
+      : g(gr), nedge(g), visited(g, false)
     {
       if(start==INVALID) start=NodeIt(g);
@@ -239,23 +239,23 @@
   ///for each node. <em>Therefore, there are digraphs which are not Eulerian,
   ///but still have an Euler tour</em>.
-  template<class Digraph>
+  template<typename GR>
 #ifdef DOXYGEN
   bool
 #else
-  typename enable_if<UndirectedTagIndicator<Digraph>,bool>::type
-  eulerian(const Digraph &g)
-  {
-    for(typename Digraph::NodeIt n(g);n!=INVALID;++n)
+  typename enable_if<UndirectedTagIndicator<GR>,bool>::type
+  eulerian(const GR &g)
+  {
+    for(typename GR::NodeIt n(g);n!=INVALID;++n)
       if(countIncEdges(g,n)%2) return false;
     return connected(g);
   }
-  template<class Digraph>
-  typename disable_if<UndirectedTagIndicator<Digraph>,bool>::type
+  template<class GR>
+  typename disable_if<UndirectedTagIndicator<GR>,bool>::type
 #endif
-  eulerian(const Digraph &g)
-  {
-    for(typename Digraph::NodeIt n(g);n!=INVALID;++n)
+  eulerian(const GR &g)
+  {
+    for(typename GR::NodeIt n(g);n!=INVALID;++n)
       if(countInArcs(g,n)!=countOutArcs(g,n)) return false;
-    return connected(Undirector<const Digraph>(g));
+    return connected(Undirector<const GR>(g));
   }
 
Index: lemon/graph_to_eps.h
===================================================================
--- lemon/graph_to_eps.h	(revision 562)
+++ lemon/graph_to_eps.h	(revision 606)
@@ -65,9 +65,9 @@
 ///Default traits class of \ref GraphToEps.
 ///
-///\c G is the type of the underlying graph.
-template<class G>
+///\param GR is the type of the underlying graph.
+template<class GR>
 struct DefaultGraphToEpsTraits
 {
-  typedef G Graph;
+  typedef GR Graph;
   typedef typename Graph::Node Node;
   typedef typename Graph::NodeIt NodeIt;
@@ -140,13 +140,12 @@
 
   ///Constructor
-  ///\param _g  Reference to the graph to be printed.
-  ///\param _os Reference to the output stream.
-  ///\param _os Reference to the output stream.
+  ///\param gr  Reference to the graph to be printed.
+  ///\param ost Reference to the output stream.
   ///By default it is <tt>std::cout</tt>.
-  ///\param _pros If it is \c true, then the \c ostream referenced by \c _os
+  ///\param pros If it is \c true, then the \c ostream referenced by \c os
   ///will be explicitly deallocated by the destructor.
-  DefaultGraphToEpsTraits(const G &_g,std::ostream& _os=std::cout,
-                          bool _pros=false) :
-    g(_g), os(_os),
+  DefaultGraphToEpsTraits(const GR &gr, std::ostream& ost = std::cout,
+                          bool pros = false) :
+    g(gr), os(ost),
     _coords(dim2::Point<double>(1,1)), _nodeSizes(1), _nodeShapes(0),
     _nodeColors(WHITE), _arcColors(BLACK),
@@ -159,6 +158,6 @@
     _showNodeText(false), _nodeTexts(false), _nodeTextSize(1),
     _showNodePsText(false), _nodePsTexts(false), _nodePsTextsPreamble(0),
-    _undirected(lemon::UndirectedTagIndicator<G>::value),
-    _pleaseRemoveOsStream(_pros), _scaleToA4(false),
+    _undirected(lemon::UndirectedTagIndicator<GR>::value),
+    _pleaseRemoveOsStream(pros), _scaleToA4(false),
     _nodeTextColorType(SAME_COL), _nodeTextColors(BLACK),
     _autoNodeScale(false),
@@ -1135,11 +1134,11 @@
 ///to the end of the parameter list.
 ///\sa GraphToEps
-///\sa graphToEps(G &g, const char *file_name)
-template<class G>
-GraphToEps<DefaultGraphToEpsTraits<G> >
-graphToEps(G &g, std::ostream& os=std::cout)
+///\sa graphToEps(GR &g, const char *file_name)
+template<class GR>
+GraphToEps<DefaultGraphToEpsTraits<GR> >
+graphToEps(GR &g, std::ostream& os=std::cout)
 {
   return
-    GraphToEps<DefaultGraphToEpsTraits<G> >(DefaultGraphToEpsTraits<G>(g,os));
+    GraphToEps<DefaultGraphToEpsTraits<GR> >(DefaultGraphToEpsTraits<GR>(g,os));
 }
 
@@ -1148,11 +1147,11 @@
 ///\ingroup eps_io
 ///This function does the same as
-///\ref graphToEps(G &g,std::ostream& os)
+///\ref graphToEps(GR &g,std::ostream& os)
 ///but it writes its output into the file \c file_name
 ///instead of a stream.
-///\sa graphToEps(G &g, std::ostream& os)
-template<class G>
-GraphToEps<DefaultGraphToEpsTraits<G> >
-graphToEps(G &g,const char *file_name)
+///\sa graphToEps(GR &g, std::ostream& os)
+template<class GR>
+GraphToEps<DefaultGraphToEpsTraits<GR> >
+graphToEps(GR &g,const char *file_name)
 {
   std::ostream* os = new std::ofstream(file_name);
@@ -1161,6 +1160,6 @@
     throw IoError("Cannot write file", file_name);
   }
-  return GraphToEps<DefaultGraphToEpsTraits<G> >
-    (DefaultGraphToEpsTraits<G>(g,*os,true));
+  return GraphToEps<DefaultGraphToEpsTraits<GR> >
+    (DefaultGraphToEpsTraits<GR>(g,*os,true));
 }
 
@@ -1169,11 +1168,11 @@
 ///\ingroup eps_io
 ///This function does the same as
-///\ref graphToEps(G &g,std::ostream& os)
+///\ref graphToEps(GR &g,std::ostream& os)
 ///but it writes its output into the file \c file_name
 ///instead of a stream.
-///\sa graphToEps(G &g, std::ostream& os)
-template<class G>
-GraphToEps<DefaultGraphToEpsTraits<G> >
-graphToEps(G &g,const std::string& file_name)
+///\sa graphToEps(GR &g, std::ostream& os)
+template<class GR>
+GraphToEps<DefaultGraphToEpsTraits<GR> >
+graphToEps(GR &g,const std::string& file_name)
 {
   std::ostream* os = new std::ofstream(file_name.c_str());
@@ -1182,6 +1181,6 @@
     throw IoError("Cannot write file", file_name);
   }
-  return GraphToEps<DefaultGraphToEpsTraits<G> >
-    (DefaultGraphToEpsTraits<G>(g,*os,true));
+  return GraphToEps<DefaultGraphToEpsTraits<GR> >
+    (DefaultGraphToEpsTraits<GR>(g,*os,true));
 }
 
Index: lemon/grid_graph.h
===================================================================
--- lemon/grid_graph.h	(revision 463)
+++ lemon/grid_graph.h	(revision 606)
@@ -497,5 +497,5 @@
   ///\endcode
   ///
-  /// This graph type is fully conform to the \ref concepts::Graph
+  /// This graph type fully conforms to the \ref concepts::Graph
   /// "Graph" concept, and it also has an important extra feature
   /// that its maps are real \ref concepts::ReferenceMap
Index: lemon/hao_orlin.h
===================================================================
--- lemon/hao_orlin.h	(revision 463)
+++ lemon/hao_orlin.h	(revision 606)
@@ -58,25 +58,25 @@
   /// algorithm or you can use the algorithm of Nagamochi and Ibaraki
   /// which solves the undirected problem in
-  /// \f$ O(nm + n^2 \log(n)) \f$ time: it is implemented in the
+  /// \f$ O(nm + n^2 \log n) \f$ time: it is implemented in the
   /// NagamochiIbaraki algorithm class.
   ///
-  /// \param _Digraph is the graph type of the algorithm.
-  /// \param _CapacityMap is an edge map of capacities which should
-  /// be any numreric type. The default type is _Digraph::ArcMap<int>.
-  /// \param _Tolerance is the handler of the inexact computation. The
-  /// default type for this is Tolerance<CapacityMap::Value>.
+  /// \param GR The digraph class the algorithm runs on.
+  /// \param CAP An arc map of capacities which can be any numreric type.
+  /// The default type is \ref concepts::Digraph::ArcMap "GR::ArcMap<int>".
+  /// \param TOL Tolerance class for handling inexact computations. The
+  /// default tolerance type is \ref Tolerance "Tolerance<CAP::Value>".
 #ifdef DOXYGEN
-  template <typename _Digraph, typename _CapacityMap, typename _Tolerance>
+  template <typename GR, typename CAP, typename TOL>
 #else
-  template <typename _Digraph,
-            typename _CapacityMap = typename _Digraph::template ArcMap<int>,
-            typename _Tolerance = Tolerance<typename _CapacityMap::Value> >
+  template <typename GR,
+            typename CAP = typename GR::template ArcMap<int>,
+            typename TOL = Tolerance<typename CAP::Value> >
 #endif
   class HaoOrlin {
   private:
 
-    typedef _Digraph Digraph;
-    typedef _CapacityMap CapacityMap;
-    typedef _Tolerance Tolerance;
+    typedef GR Digraph;
+    typedef CAP CapacityMap;
+    typedef TOL Tolerance;
 
     typedef typename CapacityMap::Value Value;
@@ -818,5 +818,5 @@
     /// \name Execution control
     /// The simplest way to execute the algorithm is to use
-    /// one of the member functions called \c run(...).
+    /// one of the member functions called \ref run().
     /// \n
     /// If you need more control on the execution,
Index: lemon/hypercube_graph.h
===================================================================
--- lemon/hypercube_graph.h	(revision 463)
+++ lemon/hypercube_graph.h	(revision 606)
@@ -292,5 +292,5 @@
   /// (assuming that the size of \c int is 32 bit).
   ///
-  /// This graph type is fully conform to the \ref concepts::Graph
+  /// This graph type fully conforms to the \ref concepts::Graph
   /// "Graph" concept, and it also has an important extra feature
   /// that its maps are real \ref concepts::ReferenceMap
Index: lemon/lgf_reader.h
===================================================================
--- lemon/lgf_reader.h	(revision 564)
+++ lemon/lgf_reader.h	(revision 606)
@@ -449,13 +449,13 @@
   /// a single pass, because the arcs are not constructed when the node
   /// maps are read.
-  template <typename _Digraph>
+  template <typename GR>
   class DigraphReader {
   public:
 
-    typedef _Digraph Digraph;
+    typedef GR Digraph;
+
+  private:
+
     TEMPLATE_DIGRAPH_TYPEDEFS(Digraph);
-
-  private:
-
 
     std::istream* _is;
@@ -1247,12 +1247,13 @@
   /// arc map.  Similarly, an attribute can be read into an arc, if
   /// it's value is an edge label prefixed with \c '+' or \c '-'.
-  template <typename _Graph>
+  template <typename GR>
   class GraphReader {
   public:
 
-    typedef _Graph Graph;
+    typedef GR Graph;
+
+  private:
+
     TEMPLATE_GRAPH_TYPEDEFS(Graph);
-
-  private:
 
     std::istream* _is;
@@ -1357,10 +1358,10 @@
 
   private:
-    template <typename GR>
-    friend GraphReader<GR> graphReader(GR& graph, std::istream& is);
-    template <typename GR>
-    friend GraphReader<GR> graphReader(GR& graph, const std::string& fn); 
-    template <typename GR>
-    friend GraphReader<GR> graphReader(GR& graph, const char *fn);
+    template <typename Graph>
+    friend GraphReader<Graph> graphReader(Graph& graph, std::istream& is);
+    template <typename Graph>
+    friend GraphReader<Graph> graphReader(Graph& graph, const std::string& fn); 
+    template <typename Graph>
+    friend GraphReader<Graph> graphReader(Graph& graph, const char *fn);
 
     GraphReader(GraphReader& other)
